package com.ssj.service.conch.parents.v2.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

/**
 * @author yrf
 * @date 2019/6/17
 */
public class WrongBookQuestionListReqV2 extends BaseRequest {

	private static final long serialVersionUID = -7356038484999980167L;

	@ApiModelProperty(name = "questionIdList", value = "题目id列表")
	@NotEmpty
	private List<String> questionIdList;

	@ApiModelProperty(name = "needRecommend", value = "是否需要推荐题目，0否 1是，默认0不推荐")
	private Integer needRecommend = 0;

	public List<String> getQuestionIdList() {
		return questionIdList;
	}

	public void setQuestionIdList(List<String> questionIdList) {
		this.questionIdList = questionIdList;
	}

	public Integer getNeedRecommend() {
		return needRecommend;
	}

	public void setNeedRecommend(Integer needRecommend) {
		this.needRecommend = needRecommend;
	}
}
